Nothing can link with gtk on Snow Leopard

Mark Spezzano mark.spezzano at
Wed Nov 10 21:13:40 EST 2010


I'm running Mac OS X Snow Leopard. I've done a "sudo cabal install gtk --global" on my system, and it warns me that "file was built for unsupported file format which is not the architecture being linked (i386)". What does this refer to?

Subsequently, nothing else _links_ properly with gtk.

For example, hp2any-manager (or other tools) all fail during linking with gtk.

Am I doing something wrong?



More information about the Libraries mailing list